_grk_component_mapping_comp Struct Reference

Note: "component" refers to an image component as decompressed from the code stream, while "channel" refers to a component resulting from the application of a Palette box LUT and a Component mapping box. More...

`#include <grok.h>`

## Public Attributes

uint16_t | component_index
uint8_t | mapping_type
uint8_t | palette_column

## Detailed Description

Note: "component" refers to an image component as decompressed from the code stream, while "channel" refers to a component resulting from the application of a Palette box LUT and a Component mapping box.

Component mappings: component index, mapping type, palette column

## Member Data Documentation

## component_index

uint16_t _grk_component_mapping_comp::component_index

## mapping_type

uint8_t _grk_component_mapping_comp::mapping_type

## palette_column

uint8_t _grk_component_mapping_comp::palette_column

The documentation for this struct was generated from the following file:

- grok.h